# SourcePath: mdadm/20101028dev
Summary:     mdadm is used for controlling Linux md devices (aka RAID arrays)
Name:        sony-target-dev-mdadm
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-mdadm
Version:     2.6.7
Release: 08010102
Source:      mdadm-%{version}.tar.bz2
Patch1: mdadm-2.6.7-gcc4.5-type-punning-fix.patch
URL:         http://www.kernel.org/pub/linux/utils/raid/mdadm/
License:     GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}


%description 
mdadm is a program that can be used to create, manage, and monitor
Linux MD (Software RAID) devices.
As such is provides similar functionality to the raidtools packages.
The particular differences to raidtools is that mdadm is a single
program, and it can perform (almost) all functions without a
configuration file (that a config file can be used to help with
some common tasks).

%package -n %{pkgname}
Summary:     mdadm is used for controlling Linux md devices (aka RAID arrays)
Group: %{sony_group}
AutoReqProv: no


%description -n %{pkgname}
mdadm is a program that can be used to create, manage, and monitor
Linux MD (Software RAID) devices.
As such is provides similar functionality to the raidtools packages.
The particular differences to raidtools is that mdadm is a single
program, and it can perform (almost) all functions without a
configuration file (that a config file can be used to help with
some common tasks).

%prep
%setup -q -n mdadm-%{version}
# we want to install in /sbin, not /usr/sbin...
%define _exec_prefix %{nil}
%patch1 -p1

%build
%sony_target_dev_setup
# This is a debatable issue. The author of this RPM spec file feels that
# people who install RPMs (especially given that the default RPM options
# will strip the binary) are not going to be running gdb against the
# program.
make CC="${CC}" CXFLAGS="$RPM_OPT_FLAGS" SYSCONFDIR="%{sony_target_dev_sysconf_dir}"

%install
%sony_target_dev_setup
rm -rf %{buildroot}
export STRIP=""
make DESTDIR=%{buildroot}%{sony_target_dir} MANDIR=%{sony_target_dev_man_dir} BINDIR=%{sony_target_dev_dir}/sbin install
install -D -m644 mdadm.conf-example %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/mdadm.conf

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_dir}/sbin/mdadm
%config(noreplace,missingok)/%{sony_target_dir}%{sony_target_dev_sysconf_dir}/mdadm.conf
# %{sony_target_dir}%{sony_target_dev_man_dir}/man*/md*

%changelog
* Thu Oct 28 2010 Sony Corporation
- Added gcc4.5-type-punning-fix patch

* Fri Apr 17 2009 Sony Corporation 
- Updated to 6.x

* Tue Jan 27 2009 Sony Corporation 
- rpmmacros sony_tool_triplet is used

* Wed Jul 02 2008 Sony Corporation 
- Version update to 2.6.7

* Fri Mar 02 2007 Sony Corporation 
- Version update to 2.6.1

* Fri Aug 25 2006 Sony Corporation 
- initial RPM build (2.5.3)
